from dash import Dash, html, dcc
import plotly.express as px
import pandas as pd

app = Dash(__name__)

df = px.data.iris()
summary = df.groupby('species').mean().reset_index()

app.layout = html.Div([
    html.Div(
        children = [
            dcc.Graph(figure=px.scatter(df,x='sepal_width',y='sepal_length',color='species'))
        ],
        style = {
            'display':'inline-block',
            'width':'50%'
        }
    ),
    html.Div(
        children = [
            dcc.Graph(figure=px.bar(summary,x='species',y='sepal_length'))
        ],
        style = {
            'display':'inline-block',
            'width':'50%'
        }
    ),
    html.Div(
        children = [
            dcc.Graph(figure=px.line(px.data.stocks(),x='date',y=['GOOG','AAPL','AMZN','FB','NFLX','MSFT']))
        ],
        style = {
            'display':'inline-block',
            'width':'800px',
        }
    ),

        
])

app.run_server(debug=True)